Page MenuHomePhabricator

Handle <audio> tags from Parsoid
Closed, ResolvedPublic

Description

See https://gerrit.wikimedia.org/r/#/c/mediawiki/services/parsoid/+/449903/ , Parsoid will now return <audio> instead of <video> for audio files.

Event Timeline

Esanders created this task.Aug 2 2018, 7:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 2 2018, 7:23 PM

Change 450086 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Handle <audio> tags from Parsoid

https://gerrit.wikimedia.org/r/450086

Thanks. It require a change in cxserver. https://gerrit.wikimedia.org/r/c/mediawiki/services/cxserver/+/450186
At CX frontend, CX will just follow VE support.

Deskana assigned this task to Esanders.Aug 7 2018, 6:41 PM
Deskana triaged this task as Normal priority.
Deskana edited projects, added VisualEditor (Current work); removed VisualEditor.
Deskana moved this task from Incoming to Code review on the VisualEditor (Current work) board.

As per comment on gerrit, we already support reading the tags - this patch just changes what we send back to Parsoid, so we are only going to merge this when the Parsoid patch lands.

Change 450086 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Require Parsoid HTML 2.0.0, and handle its <audio> tags

https://gerrit.wikimedia.org/r/450086

Change 464051 had a related patch set uploaded (by Jforrester; owner: Esanders):
[mediawiki/extensions/VisualEditor@wmf/1.32.0-wmf.24] Require Parsoid HTML 2.0.0, and handle its <audio> tags

https://gerrit.wikimedia.org/r/464051

Change 464052 had a related patch set uploaded (by Jforrester; owner: Esanders):
[mediawiki/extensions/VisualEditor@wmf/1.32.0-wmf.23] Require Parsoid HTML 2.0.0, and handle its <audio> tags

https://gerrit.wikimedia.org/r/464052

Change 464051 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@wmf/1.32.0-wmf.24] Require Parsoid HTML 2.0.0, and handle its <audio> tags

https://gerrit.wikimedia.org/r/464051

Change 464052 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@wmf/1.32.0-wmf.23] Require Parsoid HTML 2.0.0, and handle its <audio> tags

https://gerrit.wikimedia.org/r/464052

Mentioned in SAL (#wikimedia-operations) [2018-10-03T23:41:18Z] <catrope@deploy1001> Synchronized php-1.32.0-wmf.24/extensions/VisualEditor/: Require Parsoid HTML 2.0.0, and handle its <audio> tags (T201081) (duration: 00m 59s)

Mentioned in SAL (#wikimedia-operations) [2018-10-03T23:44:57Z] <catrope@deploy1001> Synchronized php-1.32.0-wmf.23/extensions/VisualEditor/: Require Parsoid HTML 2.0.0, and handle its <audio> tags (T201081); ext.visualEditor.mwlanguage: Actually load all of the code (T205834) (duration: 00m 57s)

Deskana closed this task as Resolved.Oct 31 2018, 1:35 PM